# The code has been tested on Linux and Windows.
# Swap the # symbol in the definition of the MAKEFILE below
# to use the makefile_windows or the makefile_unix,
# respectively for a Windows or GNU Linux/Unix computer.

# MAKEFILE = makefile_windows
MAKEFILE = makefile_unix

test_dbl_vectors:
	make -f $(MAKEFILE) test_dbl_vectors

test_dbl_matrices:
	make -f $(MAKEFILE) test_dbl_matrices

test_upper_jobs:
	make -f $(MAKEFILE) test_upper_jobs

test_dbl_linearization:
	make -f $(MAKEFILE) test_dbl_linearization

clean:
	make -f $(MAKEFILE) clean

cleanall:
	make -f $(MAKEFILE) cleanall
